import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';

import '../app/constant.dart';

class HistoryRowAtasWidget extends HookConsumerWidget {
  const HistoryRowAtasWidget({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Row(
      children: [
        // kiri
        Container(
          width: Constant.getActualXPhone(context: context, x: 38),
          height: Constant.getActualYPhone(context: context, y: 38),
          decoration: BoxDecoration(
            color: Color.fromRGBO(241, 90, 41, 0.08),
            borderRadius: BorderRadius.all(
              Radius.circular(8.0),
            ),
          ),
          // child: Text('s'),
          child: SvgPicture.network(
            'https://devone.aplikasi.web.id/pettycash-media/icon/icon_12.svg',
            semanticsLabel: 'Icon pizza',
            placeholderBuilder: (BuildContext context) => Container(
              padding: const EdgeInsets.all(30.0),
              child: const CircularProgressIndicator(),
            ),
          ),
        ),

        // tengah
        Expanded(
          child: Padding(
            padding: EdgeInsets.only(left: 20),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                Text(
                  'Makanan & Minuman',
                  style: Constant.body2_600(context: context).copyWith(
                      fontWeight: FontWeight.w600, color: Constant.textBlack),
                ),
                SizedBox(
                  height: Constant.getActualYPhone(
                    context: context,
                    y: 8,
                  ),
                ),
                Text(
                  '100000',
                  style: Constant.body1_600(context: context).copyWith(
                      fontWeight: FontWeight.w600,
                      color: Constant.pcBtnBackgroundColor),
                ),
              ],
            ),
          ),
        ),

        // kanan
        Expanded(
          child: Padding(
            padding: EdgeInsets.only(right: 8),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.end,
              mainAxisAlignment: MainAxisAlignment.end,
              children: [
                Container(
                  // width: Constant.getActualXPhone(context: context, x: 32),
                  height: Constant.getActualYPhone(context: context, y: 19),
                  decoration: BoxDecoration(
                    color: Color.fromRGBO(241, 90, 41, 0.16),
                    borderRadius: BorderRadius.all(
                      Radius.circular(6.0),
                    ),
                  ),
                  child: Padding(
                    padding: EdgeInsets.all(2.0),
                    child: Text(
                      'Kredit',
                      style: Constant.body1_600(context: context).copyWith(
                          fontWeight: FontWeight.w600,
                          color: Constant.pcBtnBackgroundColor),
                    ),
                  ),
                ),
                SizedBox(
                  height: Constant.getActualYPhone(
                    context: context,
                    y: 8,
                  ),
                ),
                Text(
                  '15 Des 2023',
                  style: Constant.body1_600(context: context).copyWith(
                      fontWeight: FontWeight.w600, color: Constant.textGreyv2),
                ),
              ],
            ),
          ),
        ),
      ],
    );
  }
}
